Layer name completion in Virtual Layer query window fails on whitespace

2016-06-04 05:18 AM - Johannes Kroeger

Status: Open

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22904

Description

I have a layer named "natural_earth_vector ne_10m_admin_0_countries" from opening the NE sqlite file and selecting that.

If I type the beginning of its name in the "Create a virtual layer" Query window, QGIS will suggest to autocomplete to that name properly

but on hitting Enter will only enter "natural_earth_vector". This will result in the query failing as there is no such layer.

QGIS should instead enter the whole name, enclosed in double quotes.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#4 - 2019-03-16 10:25 PM - Johannes Kroeger

- Description updated

- Resolution deleted (end of life)

- Status changed from Closed to Reopened

Still happening in 3.6.0-Noosa.

#5 - 2019-03-16 10:26 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.6.0

- Category changed from Unknown to DB Manager
- Status changed from Reopened to Open
